---
order: 8
title: Internationalization
---

The default language of `antd@2.x` is Chinese as of yet.
If you want to use English or other languages, you can follow the instructions below.

## LocaleProvider

antd provides a React Component [LocaleProvider](/components/locale-provider) for configuring antd locale text globally.

```jsx
import { LocaleProvider } from 'antd';
import enUS from 'antd/lib/locale-provider/en_US';

return (
  <LocaleProvider locale={enUS}>
    <App />
  </LocaleProvider>
);
```

Note: `en_US` is the filename, follow below.

Supported languages:

|Language|Filename|
|---|---|
|Bulgarian|bg_BG|
|Catalan|ca_ES|
|Chinese (Traditional)|zh_TW|
|Czech|cs_CZ|
|Dutch (Belgium)|nl_BE|
|Dutch|nl_NL|
|English (Global)|en_GB|
|English|en_US|
|Estonian|et_EE|
|Finnish|fi_FI|
|French (Belgium)|fr_BE|
|French (France)|fr_FR|
|German|de_DE|
|Greek|el_GR|
|Italian|it_IT|
|Japanese|ja_JP|
|Korean|ko_KR|
|Norwegian|nb_NO|
|Persian|fa_IR|
|Polish|pl_PL|
|Portuguese (Brazil)|pt_BR|
|Portuguese|pt_PT|
|Russian|ru_RU|
|Serbian|sr_RS|
|Slovak|sk_SK|
|Spanish|es_ES|
|Swedish|sv_SE|
|Turkish|tr_TR|
|Vietnamese|vi_VN|
|Thai|th_TH|

See usage and ways to contribute a new locale package at [LocaleProvider](/components/locale-provider).

## i18n sample

We also provide you a complete sample of internationalization usage, which is using [react-intl](https://github.com/yahoo/react-intl) and LocaleProvider: [ant-design/intl-example](https://github.com/ant-design/intl-example).
